#include "Angle.h"
#include <cmath>
#define THISCLASS Angle

Angle THISCLASS::Normalize(double base) const {
	Angle angle(fmod(mValue - base, 2 * PI));
	if (angle.mValue < 0) angle.mValue += 2 * PI;
	angle.mValue += base;
	return angle;
}

std::ostream &operator<<(std::ostream &stream, const Angle &p) {
	return stream << p.mValue;
}
