#include "WGS84Position.h"
#define THISCLASS WGS84Position

#include "Constants.h"
#include "SphericVector.h"

Vector3d THISCLASS::GetPosition() const {
	SphericVector s1;
	s1.mLatitude = mLatitude;
	s1.mLongitude = mLongitude;
	s1.mRadius = mAltitude + EARTHRADIUS;
	Vector3d v1 = s1.GetVector3d();
	return v1;
}
