#include "DistanceDisplay.h"
#include <cmath>
#define THISCLASS DistanceDisplay

std::ostream &operator<<(std::ostream &stream, const DistanceDisplay &p) {
	if (p.mFormat == DistanceDisplay::sFormatMeter) {
		stream << p.mDistance.Get() << " m";
	} else if (p.mFormat == DistanceDisplay::sFormatKilometer) {
		stream << p.mDistance.Get() / 1000 << " km";
	} else {
		stream << p.mDistance.Get();
	}

	return stream;
}
