#ifndef classSphericVector
#define classSphericVector

#include "Vector3d.h"
#include "Angle.h"
#include "Distance.h"

/*!
	 3d Vector with spheric coordinates (double).
*/
class SphericVector {
private:

public:
	Angle mLatitude;
	Angle mLongitude;
	Distance mRadius;

	SphericVector(): mLatitude(0), mLongitude(0), mRadius(0) {}
	SphericVector(Angle latitude, Angle longitude, Distance radius): mLatitude(latitude), mLongitude(longitude), mRadius(radius) {}
	SphericVector(Vector3d &vector);

	Vector3d GetVector3d() const;
};

#endif
