#ifndef classWGS84Position
#define classWGS84Position

#include "Vector3d.h"
#include "Angle.h"
#include "Distance.h"

/*!
	Models a WGS84 position.
*/
class WGS84Position {

private:

public:
	Angle mLatitude;
	Angle mLongitude;
	Distance mAltitude;

	//! Constructor.
	WGS84Position(): mLatitude(0), mLongitude(0), mAltitude(0) {}

	//! Returns the position as vector.
	Vector3d GetPosition() const;
};

#endif
